GET/projects/api/v3/containers/{id}.json

Get a specific container.

This returns all details about an individual container including its widgets and configuration.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Query Params

  • Name
    orderMode
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    entityType
    Type
    string
    Description

    filter by entity type for entity-scoped containers

    Allowed values
    • company
  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    types
    Type
    array[string]
    Description

    filter by type

    Format
    Comma separated values
    Allowed values
    • dashboard
    • insights
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
  • Name
    entityIds
    Type
    array[integer]
    Description

    filter by entity ids for entity-scoped containers

    Format
    Comma separated values
  • Name
    containerIDs
    Type
    array[integer]
    Description

    filter by ids

    Format
    Comma separated values
  • Name
    appRoutes
    Type
    array[string]
    Description

    filter by app route

    Format
    Comma separated values
    Allowed values
    • projecthealth
    • playground
    • playgrounddashboard

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    Response contains information about a specific container.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Description
    404 Not Found No Data

Examples

200 OK

Response
{
  "container": {
    "appRoute": "string",
    "createdAt": "string",
    "createdByUser": 0,
    "description": "string",
    "id": 0,
    "isVisible": true,
    "name": "string",
    "ownerId": 0,
    "permissions": {
      "binding": {
        "entity": "string",
        "entityId": 0
      }
    },
    "type": "string",
    "updatedAt": "string",
    "updatedByUser": 0,
    "widgets": [
      {
        "config": "string",
        "createdAt": "string",
        "createdByUser": 0,
        "description": "string",
        "height": 0,
        "id": 0,
        "name": "string",
        "posX": 0,
        "poxY": 0,
        "type": "string",
        "updatedAt": "string",
        "updatedByUser": 0,
        "width": 0
      }
    ]
  }
}